Get a shot by id. Returns full shot data. Use this to fetch a single shot with all fields needed by the UI.
GET
/data/shots/{shot_id}
curl
curl -X GET "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "SH010",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"parent_id": "c24a6ea4-ce75-4665-a070-57453082c25",
"nb_frames": 120,
"data": {
"camera": "camA",
"cut_in": 1001
}
}